Bug 214360 - fc6 hangs on boot at udev
fc6 hangs on boot at udev
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity low
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-07 03:51 EST by Bob E
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 14:48:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
less messages | grep udev (113.31 KB, text/plain)
2006-11-08 23:03 EST, Bob E
no flags Details
less messages | grep udev (113.31 KB, text/plain)
2006-11-08 23:05 EST, Bob E
no flags Details

  None (edit)
Description Bob E 2006-11-07 03:51:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.7) Gecko/20061027 Fedora/1.5.0.7-8.fc6 Firefox/1.5.0.7

Description of problem:
During boot my Inspiron 8200 hangs when udev is loaded.
Have to cold reboot system.
Wireless card connect LED is solid until UDEV is encountered.
Wireless card LED starts blinking as system hangs.
Theorize that FC6 doesn't recognize my wirelss card adequately.
Had this problem in FC6 test3 and FC5 too.
No error messages.
To get around udev I unplug Netgear MA401 PCMCIA card.
When X asks me to log in, I plug in MA401 and it is detected and installed.


Version-Release number of selected component (if applicable):
udev 095-14

How reproducible:
Always


Steps to Reproduce:
1.Reboot system
2.Hangs at udev
3.Restart system

Actual Results:
system hangs

Expected Results:
system should boot normally and USB pen drive wireless card should be recognized without reinsertion.

Additional info:
Zod
udev 095-14
Patched with latest security patches (11/06/06)
Dell Inspiron 8200
1 GB Memory
70 GB Fujitsu IDE
Teac CD/RW
Toshiba DVD ROM
Netgear MA401 A/B wireless
Comment 1 Bob E 2006-11-08 10:52:46 EST
11/07/06 - Installed Ubuntu 6.06 on different hard drive to test whether issue
might be distribution specific. Ubuntu's udev 079 did not exhibit the hanging
behavior that 095-14 does on my laptop. All devices recognized and working. 
Comment 2 Harald Hoyer 2006-11-08 10:58:08 EST
please add "udevdebug" to the kernel command line... I suspect a kernel module
is hanging your system.
Comment 3 Bob E 2006-11-08 23:03:17 EST
Created attachment 140744 [details]
less messages | grep udev

New to UDEV so attempting to decipher udev messages is not providing me with
inspiration to solve the problem. It appears extra work has to be done to
identify the wireless card. Looking through 60-pcmcia.rules, it appears that
pcmcia-check-broken-cis is being run when udev tries to make an entry for the
wireless card, but I'm guessing.
Comment 4 Bob E 2006-11-08 23:05:49 EST
Created attachment 140745 [details]
less messages | grep udev

New to UDEV so attempting to decipher udev messages is not providing me with
inspiration to solve the problem. It appears extra work has to be done to
identify the wireless card. Looking through 60-pcmcia.rules, it appears that
pcmcia-check-broken-cis is being run when udev tries to make an entry for the
wireless card, but I'm guessing. Also, i see a "fatal: module not found"
message but what module?
Comment 5 Paul Tibbitts 2007-01-15 15:05:59 EST
I was wondering if there has been any update to this problem.  I have the
identical problem on Dell C610 using any of:

Ornino Gold / Enterasys pcmcia card
Netgear MA401
SMC High Power 2532-WB

Can't get past udev if any card is inserted at boot time.  Inserting after boot
works fine.

Have all the fc6 updates and have tried 2.6.19 from kernel.org as well.
Comment 6 Paul Tibbitts 2007-01-15 15:09:19 EST
Sorry, make that "OrinoCo Gold".
Comment 7 Harald Hoyer 2007-01-16 06:13:05 EST
get the new udev from
http://www.redhat.com/archives/fedora-test-list/2007-January/msg00104.html
and update it
Comment 8 Paul Tibbitts 2007-01-18 21:46:27 EST
It seems like the new udev has completely solved my udev problems so far. 
Thanks very much!
Comment 9 Bob E 2007-01-19 00:40:32 EST
Loaded Fedora 6 hard drive today (Jan-18-2007) and updated packages with
security updates.

udev is latest version and I still have hardware problem.

I pull the wireless card out and system will boot. I plug wireless card in at
graphical login screen.

When I boot leaving wireless card in, the system locks up with blinking LEDs.
Here is the error output.

BUG: warning: (in_irq() && !(warned++)) at
drivers/input/serio/i8042.c:860/i8042_panic_blink() (Not tainted)

[<c040566b>] dump_trace+0x69/0x1b6
[<c04057d0>] show_trace_log_lvl+0x18/0x2c
[<c0405dc6>] show_trace+0xf/0x11
[<c0405ec3>] dump_stack+0x15/0x17
[<c0599ea3>] i8042_panic_blink+0x272/0x29b
[<c0423465>] panic+0x135/0x1a0
[<c0405d58>] die+0x2af/0x2e3
[<c061eebe>] do_page_fault+0x439/0x51b
[<c061d6e9>] error_code+0x39/0x40

--------

BUG: warning: (in_irq() && !(warned++)) at
drivers/input/serio/i8042.c:856/i8042_panic_blink() (Not tainted)

[<c040566b>] dump_trace+0x69/0x1b6
[<c04057d0>] show_trace_log_lvl+0x18/0x2c
[<c0405dc6>] show_trace+0xf/0x11
[<c0405ec3>] dump_stack+0x15/0x17
[<c0599dab>] i8042_panic_blink+0x17a/0x29b
[<c0423465>] panic+0x135/0x1a0
[<c0405d58>] die+0x2af/0x2e3
[<c061eebe>] do_page_fault+0x439/0x51b
[<c061d6e9>] error_code+0x39/0x40

blinking caps-lock LED
blinking scroll-lock LED
Had to cold boot laptop afterward.

Is i8042.c a kernel module that has errors at lines 860 and 856?
Comment 10 Harald Hoyer 2007-01-19 09:13:18 EST
this is a kernel bug
Comment 11 Dave Jones 2007-03-19 17:29:55 EDT
I'll come up with a patch to silence those two BUG()'s (They're just debugging
stuff really, nothing too important).

Why it locks up is still a mystery though.  Maybe John has some insight wrt this
wireless chip.
Comment 12 John W. Linville 2007-03-21 14:49:59 EDT
Please try adding the following lines to the bottom 
of /etc/modprobe.d/blacklist:

blacklist hostap
blacklist hostap_cs
blacklist hostap_pci
blacklist hostap_plx

Does that help you to be able to boot with the card plugged-in?
Comment 13 John W. Linville 2007-08-07 14:48:49 EDT
Closed due to lack of response...please reopen if problem persists with 
current fedora kernels.

Note You need to log in before you can comment on or make changes to this bug.